View Issue Details

IDProjectCategoryView StatusLast Update
0001404SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.5 
Target Version3.5.5Fixed in Version3.5.5 
Summary0001404: Add db.read.strings.as.bytes to turn on functionality to better control character encoding on MySQL
DescriptionIf set to true, db.read.strings.as.bytes forces database columns that contain character data to be read as bytes (bypassing JDBC driver character encoding) so the raw values be encoded using the system default character set (usually UTF8). This property was added to bypass MySQL character encoding so the raw data can be converted to utf8 directly.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 964cd081

2013-08-26 13:15:13

chenson

Details Diff
0001404: Add db.read.strings.as.bytes to turn on functionality to better control character encoding on MySQL
0001404
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlTemplateSettings.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlReadCursor.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File

Issue History

Date Modified Username Field Change
2013-08-26 13:12 chenson New Issue
2013-08-26 13:12 chenson Status new => assigned
2013-08-26 13:12 chenson Assigned To => chenson
2013-08-27 18:14 chenson Status assigned => closed
2013-08-27 18:14 chenson Resolution open => fixed
2013-08-27 18:14 chenson Fixed in Version => 3.5.5
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7666
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 964cd081